<?php

/**
 * @file
 * Functions used to deal with the list of languages
 */

function _padfile_languages() {
  static $languages = array(
    'ab' => 'Abkhazian',
    'aa' => 'Afar',
    'af' => 'Afrikaans',
    'sq' => 'Albanian',
    'am' => 'Amharic',
    'ar' => 'Arabic',
    'hy' => 'Armenian',
    'as' => 'Assamese',
    'ay' => 'Aymara',
    'az' => 'Azerbaijani',
    'ba' => 'Bashkir',
    'eu' => 'Basque',
    'bn' => 'Bengali',
    'dz' => 'Bhutani',
    'bh' => 'Bihari',
    'bi' => 'Bislama',
    'br' => 'Breton',
    'bg' => 'Bulgarian',
    'my' => 'Burmese',
    'be' => 'Byelorussian',
    'km' => 'Cambodian',
    'ca' => 'Catalan',
    'zh' => 'Chinese',
    //'ChineseSimplified',
    //'ChineseTraditional',
    'co' => 'Corsican',
    'hr' => 'Croatian',
    'cs' => 'Czech',
    'da' => 'Danish',
    'nl' => 'Dutch',
    'en' => 'English',
    'eo' => 'Esperanto',
    'et' => 'Estonian',
    'fo' => 'Faeroese',
    'fj' => 'Fiji',
    'fi' => 'Finnish',
    'fr' => 'French',
    'fy' => 'Frisian',
    //'Gaelic',
    'gl' => 'Galician',
    'ka' => 'Georgian',
    'de' => 'German',
    'el' => 'Greek',
    'kl' => 'Greenlandic',
    'gn' => 'Guarani',
    'gu' => 'Gujarati',
    'ha' => 'Hausa',
    'he' => 'Hebrew',
    'hi' => 'Hindi',
    'hu' => 'Hungarian',
    'is' => 'Icelandic',
    'id' => 'Indonesian',
    'ia' => 'Interlingua',
    'ie' => 'Interlingue',
    'ik' => 'Inupiak',
    'ga' => 'Irish',
    'it' => 'Italian',
    'ja' => 'Japanese',
    'jv' => 'Javanese',
    'kn' => 'Kannada',
    'ks' => 'Kashmiri',
    'kk' => 'Kazakh',
    'rw' => 'Kinyarwanda',
    'ky' => 'Kirghiz',
    'rn' => 'Kirundi',
    'ko' => 'Korean',
    'ku' => 'Kurdish',
    'lo' => 'Laothian',
    'la' => 'Latin',
    'lv' => 'Latvian',
    'ln' => 'Lingala',
    'lt' => 'Lithuanian',
    'mk' => 'Macedonian',
    'mg' => 'Malagasy',
    'ms' => 'Malay',
    'ml' => 'Malayalam',
    'mt' => 'Maltese',
    'mi' => 'Maori',
    'mr' => 'Marathi',
    'mo' => 'Moldavian',
    'mn' => 'Mongolian',
    'na' => 'Nauru',
    'ne' => 'Nepali',
    'no' => 'Norwegian',
    'oc' => 'Occitan',
    'or' => 'Oriya',
    'om' => 'Oromo',
    //'Other',
    'ps' => 'Pashto',
    'pa' => 'Persian',
    'pl' => 'Polish',
    'pt' => 'Portuguese',
    'pa' => 'Punjabi',
    'qu' => 'Quechua',
    'rm' => 'Rhaeto-Romance',
    'ro' => 'Romanian',
    'ru' => 'Russian',
    'sm' => 'Samoan',
    'sg' => 'Sangro', // also Sangho or Sango, actually, Sangro does not seem to be in use anymore
    'sa' => 'Sanskrit',
    'sr' => 'Serbian',
    'sh' => 'Serbo-Croatian',
    'st' => 'Sesotho',
    'tn' => 'Setswana',
    'sn' => 'Shona',
    'si' => 'Sindhi',
    'si' => 'Singhalese',
    'ss' => 'Siswati',
    'sk' => 'Slovak',
    'sl' => 'Slovenian',
    'so' => 'Somali',
    'es' => 'Spanish',
    'su' => 'Sudanese',
    'sw' => 'Swahili',
    'sv' => 'Swedish',
    'tl' => 'Tagalog',
    'tg' => 'Tajik',
    'ta' => 'Tamil',
    'tt' => 'Tatar',
    'tw' => 'Telugu', // fixed in 3.11
    'th' => 'Thai',
    'bo' => 'Tibetan',
    'ti' => 'Tigrinya',
    'to' => 'Tonga',
    'ts' => 'Tsonga',
    'tr' => 'Turkish',
    'tk' => 'Turkmen',
    'tw' => 'Twi',
    'uk' => 'Ukrainian',
    'ur' => 'Urdu',
    'uz' => 'Uzbek',
    'vi' => 'Vietnamese',
    'vo' => 'Volapuk',
    'cy' => 'Welsh',
    'wo' => 'Wolof',
    'xh' => 'Xhosa',
    'yi' => 'Yiddish',
    'yo' => 'Yoruba',
    'zu' => 'Zulu',
  );
  // if we have the answer, return it...
  return $languages;
}


